Skip to main content

Move Player By Uuid V2

POST 

/session/v2/session/:session_id/player/:player_uuid:move

Move a specific player to a different team in a specific session

Required Permissions:

  • For any player (including themselves) any of: session:*, session:update-player:any

  • For the player themselves : session:update-player:self

Required Session Permissions: move for users that do not have the above permissions, and are not a session admin

Request

Path Parameters

    player_uuid uuidrequired
    session_id Session Idrequired

    Possible values: non-empty and <= 128 characters

Query Parameters

    refresh_ttl Refresh Ttl

    Default value: true

Body

required

    team_id Team Id (integer)

    Which team the player should be moved to

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    player_uuid uuid

    Player UUID of the player updated

    status SessionPlayerStatus (string)required

    Possible values: [leader, member, invited, reserved]

    What membership state players have in a session

    team_id Team Id (integer)required

    Which team the player joined

    custom_data

    object

    Resulting custom data about the player

    property name* string
Loading...